import { Component, Inject, OnInit } from '@angular/core';
import { FormControl, FormGroup, Validators } from '@angular/forms';
import {
  MatDialog,
  MatDialogRef,
  MAT_DIALOG_DATA,
} from '@angular/material/dialog';

@Component({
  selector: 'app-ver-solicitud',
  templateUrl: './ver-solicitud.component.html',
  styleUrls: ['./ver-solicitud.component.css']
})
export class VERSOLICITUDComponent implements OnInit {
  formGroup: FormGroup;

  constructor(
    public dialogRef: MatDialogRef<any>,
    @Inject(MAT_DIALOG_DATA) public data: any
  ) {
    this.formGroup = this.createFormGroup();
  }

  private createFormGroup () {
    
    return new FormGroup({
      numero_solicitud: new FormControl({ value: this.data.item.IDSOLICITUD, disabled: true }),
      solicitante: new FormControl({ value: this.data.item.NOMBREEMPLEADO, disabled: true}),
      fecha_inicio: new FormControl({ value: this.formatDate(this.data.item.FECHAINICIO), disabled: true}),
      fecha_final: new FormControl({ value: this.formatDate(this.data.item.FECHAFIN), disabled: true}),
      vacaciones_tomadas: new FormControl({ value: this.data.item.NUMERODIAS, disabled: true})
    });
  }


  formatDate(fecha:string){
    let arrFecha = fecha.split("-");
    return `${arrFecha[2]}-${arrFecha[1]}-${arrFecha[0]}`;
  }

  get numero_solicitud() {
    return this.formGroup.get('numero_solicitud');
  }

  get solicitante() {
    return this.formGroup.get('solicitante');
  }

  get fecha_inicio() {
    return this.formGroup.get('fecha_inicio');
  }

  get fecha_final() {
    return this.formGroup.get('fecha_final');
  }

  get vacaciones_tomadas() {
    return this.formGroup.get('vacaciones_tomadas');
  }

  get estado() {
    return this.formGroup.get('estado');
  }

  ngOnInit(): void {
  }

}
